package electric_vehicles.Enums;

public enum ChargeLocation {
	HOME("HOME"),
	WORK("WORK"),
	HIGHWAY("HIGHWAY");
	
	private String text;

	ChargeLocation(String text) 	{ this.text = text; }

	public static ChargeLocation fromString(String text) 
	{
		if (text != null) 
			for (ChargeLocation b : ChargeLocation.values())
				if (text.equalsIgnoreCase(b.text)) 
					return b;
		return null;
	}
}
