package electric_vehicles.Enums;

public enum ChargeOption {
	FAST("FAST"),
	SLOW("SLOW"),
	GASOLINE("GASOLINE");
	
	private String text;

	ChargeOption(String text) 	{ this.text = text; }

	public static ChargeOption fromString(String text) 
	{
		if (text != null) 
			for (ChargeOption b : ChargeOption.values())
				if (text.equalsIgnoreCase(b.text)) 
					return b;
		return null;
	}

}
