/**
 * 
 */
package electric_vehicles.Enums;

/**
 * @author Ayla
 *
 */
public enum InstructionType {
	GENERAL("GENERAL"),
	VEHICLE("NEW VEHICLE"),
	MONEY("MONEY"),
	EMISSIONS_UPGRADE("EMISSIONS UPGRADE"),
	INFRASTRUCTURE("INFRASTRUCTURE"),
	FUEL_TIME("FUEL TIME"),
	FUEL_COSTS("FUEL COSTS"),
	MAINTENANCE("MAINTENANCE"),
	BATTERY_COSTS("BATTERY COSTS"),
	BATTERY_LIFE("BATTERY LIFE"),
	TAX("TAX"),
	BIJTELLING("BIJTELLING"),
	END("END");
	
	private String text;

	InstructionType(String text) 	{ this.text = text; }

	public static InstructionType fromString(String text) 
	{
		if (text != null) 
			for (InstructionType b : InstructionType.values())
				if (text.equalsIgnoreCase(b.text)) 
					return b;
		return null;
	}


}
