/**
 * 
 */
package electric_vehicles.Scenarios.Instructions;

import java.util.List;

import electric_vehicles.VehicleInfrastructure.Tax;
import electric_vehicles.VehicleInfrastructure.TaxLevel;

/**
 * @author Ayla
 *
 */
public class BijtellingInstruction extends Instruction {

	private List<TaxLevel> d_bijtelling_levels;
	private int d_max_level;
	private int d_max_emissions;
	
	public BijtellingInstruction(List<TaxLevel> bijtelling_levels, int max_level, int max_emissions) 
	{
		super();
		d_bijtelling_levels = bijtelling_levels;
		d_max_level = max_level;
		d_max_emissions = max_emissions;
	}
	
	public int activate()
	{	
		Tax.adjustBijtellingLevels(d_bijtelling_levels, d_max_level, d_max_emissions);	
		return 0;
	}

}
