/**
 * 
 */
package electric_vehicles.Scenarios.Instructions;

import electric_vehicles.Scenarios.Scenarios;

/**
 * @author Ayla
 *
 */
public class EmissionUpdateInstruction extends Instruction {

	private float d_yearly_adjustment;
	
	public EmissionUpdateInstruction(float yearly_adjustment) {
		super();
		d_yearly_adjustment = yearly_adjustment;
	}
	
	public int activate()
	{
		Scenarios.setEmissionsUpdate(d_yearly_adjustment);
		return 0;
	}

}
