/**
 * 
 */
package electric_vehicles.Scenarios.Instructions;

import electric_vehicles.Agents.Agent;

/**
 * @author Ayla
 *
 */
public class MoneyInstruction extends Instruction {

	private int d_stop;	
	private float d_adjustment;
	
	public MoneyInstruction(int start, int stop, float adjustment) 
	{
		super();
		d_stop = stop;
		d_adjustment = adjustment / (stop - start);
	}
	
	public int activate()
	{			
		if (d_adjustment == 0)
			return 0;
	
		execute();		
		return d_stop;
	}
	
	public void execute()
	{
		Agent.adjustMoneyProp(d_adjustment);
	}

}
