/**
 * 
 */
package electric_vehicles.Scenarios.Instructions;

import java.util.List;

import electric_vehicles.VehicleInfrastructure.Tax;
import electric_vehicles.VehicleInfrastructure.TaxLevel;

/**
 * @author Ayla
 *
 */
public class TaxInstruction extends Instruction {

	private List<TaxLevel> d_tax_levels;
	private int d_max_tax;
	
	public TaxInstruction(List<TaxLevel> tax_levels, int max_tax) 
	{
		super();
		d_tax_levels = tax_levels;
		d_max_tax = max_tax;
	}
	
	public int activate()
	{	
		Tax.adjustTaxLevels(d_tax_levels, d_max_tax);
		return 0;
	}

}