/**
 * 
 */
package electric_vehicles;

import java.awt.GridLayout;
import java.awt.event.ActionEvent;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;

import repast.simphony.engine.environment.RunEnvironmentBuilder;
import repast.simphony.scenario.ModelInitializer;
import repast.simphony.scenario.Scenario;

/**
 * @author Ayla
 *
 */
public class UserPanel implements ModelInitializer {
	
	static public String scenario = "";

	@SuppressWarnings({ "rawtypes", "unchecked" })
	public void initialize(Scenario scen, RunEnvironmentBuilder builder) {
				
	    JFrame window = new JFrame("Load scenario");
	    window.setBounds(50, 100,       // Set position
	    					400, 400);  // and size
	    window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	    window.setVisible(true);        
	    window.setLayout(new GridLayout(2, 1));
	    
	    // Initialize list of scenario names
	    String[] scenario_names = {"Basic","A1 Bijtelling", "A1 Bijtelling BEV", "A4 BPM BEV","A4 BPM", "B2 Battery costs", "B3 Fast charge prob", "C1 Fast Charge ProbAndCosts", "C2 CombiPHEV", "C3 CombiBEV"};
	    final JList scenario_list = new JList(scenario_names);
	    JPanel list_panel2 = new JPanel();
	    list_panel2.add(scenario_list);
	    list_panel2.setSize(200, 100);
	   
	    // Initialize buttons
	    final JButton select_button = new JButton("Select");
	    final JButton reset_button = new JButton("Reset");
	    reset_button.setVisible(false);
	    
	    
	    select_button.addActionListener(new java.awt.event.ActionListener() {
	      public void actionPerformed(ActionEvent e) {
	    	if (scenario_list.getSelectedValue() != null)
	    		scenario = scenario_list.getSelectedValue().toString();
	        scenario_list.setVisible(false);
	        select_button.setVisible(false);
	        reset_button.setVisible(true);
	      }
	    });
	    
	    reset_button.addActionListener(new java.awt.event.ActionListener() {
		      public void actionPerformed(ActionEvent e) {
		    	scenario = "";
		        scenario_list.setVisible(true);
		        select_button.setVisible(true);
		        reset_button.setVisible(false);
		      }
		    });
	    
	    window.add(list_panel2);
	    window.add(select_button);
	    window.add(reset_button);
	}

}
