/**
 * 
 */
package electric_vehicles.VehicleInfrastructure;

import electric_vehicles.Enums.FuelType;

/**
 * @author Ayla
 *
 */
public class TaxLevel {
	
	private int d_tax;					// Percentage bijtelling
	private int d_low_end;				// Lowest co2 emissions boundary of tax level, inclusive
	private int d_high_end;				// Highest " ", exclusive
	
	public TaxLevel(int tax, int low_end, int high_end)
	{
		d_tax = tax;
		d_low_end = low_end;
		d_high_end = high_end;
	}
	
	public boolean isCorrectTaxLevel(int emission)
	{
		if (emission >= d_low_end && emission < d_high_end)
			return true;
		return false;
	}
	
	public int getTax()
	{
		return d_tax;
	}

}
